Bug 1712255 - Drop 4.1 datacenter/cluster level
Summary: Drop 4.1 datacenter/cluster level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-4.4.1
: ---
Assignee: Milan Zamazal
QA Contact: Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 07:36 UTC by Ryan Barry
Modified: 2020-08-04 13:19 UTC (History)
5 users (show)

Fixed In Version: rhv-4.4.0-29
Doc Type: Removed functionality
Doc Text:
Support for datacenter and cluster levels earlier than version 4.2 has been removed.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:19:21 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:56 UTC
oVirt gerrit 100066 0 master MERGED Remove 4.1 from dsaversion.py 2020-07-31 18:42:52 UTC
oVirt gerrit 100449 0 ovirt-engine-4.3 MERGED core: Update SupportedVDSMVersions 2020-07-31 18:42:52 UTC
oVirt gerrit 103858 0 master MERGED core: Remove option DomainXML 2020-07-31 18:42:52 UTC

Description Ryan Barry 2019-05-21 07:36:46 UTC
Now that we've dropped cluster level 3.6 and 4.0, let's follow through with removing 4.1 to get rid of additonal legacy code

Comment 2 RHV bug bot 2019-12-13 13:14:40 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 3 RHV bug bot 2019-12-20 17:44:29 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 4 RHV bug bot 2020-01-08 14:47:06 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 5 RHV bug bot 2020-01-08 15:15:42 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 6 RHV bug bot 2020-01-24 19:48:48 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 8 Tamir 2020-06-28 07:47:15 UTC
Verified on RHV 4.4.1-5 on RHEL 8 engine and RHEL 8 and 2 RHEL 7.6 hosts. 
Verified on hosts with VDSM versions of 4.20, 4.22, 4.19.

Steps:
1. Create 2 data centers (one with compatibility of 4.2 and one of 4.4). On the data centers creation window check the available versions.
2. Create a cluster on each data center with the highest compatibility level available.  On the cluster creation window check the available versions.
3. Install a host of RHV 4.2 on the 4.2 cluster and a host of RHV 4.4 on the 4.4 cluster.
4. Install a host of RHV 4.1 on the 4.2 cluster.
5. create a VM from the 4.2 cluster and check VM custom compatibility versions list.
6. Check data center and cluster compatibility levels in the REST API.

Expected Results:
1. The data centers were created and the available compatibility versions are as expected (4.2,4.3,4.4)
2. The clusters were created and the available compatibility versions are as expected (4.2,4.3,4.4)
3. The hosts were installed successfully.
4. The host couldn't install successfully.
5. The VM was created and the available compatibility versions are as expected (4.2,4.3,4.4)
6. All the compatibility versions in are as expected (4.2,4.3,4.4) in the REST API.

Actual Results: As expected;

Comment 11 Milan Zamazal 2020-07-20 08:03:47 UTC
Doc Text added.

Comment 13 errata-xmlrpc 2020-08-04 13:19:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.